import QtQuick 2.15
import org.ukui.menu.core 1.0

MouseArea {
    id: buttonMouseArea
    hoverEnabled: true
    property string buttonIcon: ""
    property alias highlight: themeIcon.highLight
    property alias autoHighLight: themeIcon.autoHighLight

    StyleBackground {
        id: buttonBase
        useStyleTransparent: false
        paletteRole: mainWindow.isFullScreen ? Palette.Light : Palette.Text
        anchors.fill: parent
        radius: height / 2
        alpha: buttonMouseArea.containsPress ? 0.20 : buttonMouseArea.containsMouse ? 0.16 : 0.10
    }

    ThemeIcon {
        id: themeIcon
        anchors.centerIn: parent
        width: 16; height: width
        source: buttonIcon
    }
    states: State {
        when: buttonMouseArea.activeFocus
        PropertyChanges {
            target: buttonBase
            borderColor: Palette.Highlight
            border.width: 2
        }
    }
}
