/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.12
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5
import AppControls2 1.0 as AppControls2
import org.ukui.menu.core 1.0

AppControls2.StyleBackground {
    paletteRole: Palette.Window
    radius: 12
    property alias header: appPageHeader
    property alias content: appPageContent

    Row {
        anchors.fill: parent
        anchors.topMargin: parent.radius
        spacing: 2
        ColumnLayout {
            width: 300
            height: parent.height;
            AppPageHeader {
                id: appPageHeader
                Layout.fillWidth: true
                Layout.preferredHeight: 40
                focusToListView: appPageContent
            }

            AppPageContent {
                id: appPageContent
                appPageHeader: appPageHeader
                Layout.fillWidth: true
                Layout.fillHeight: true
                activeFocusOnTab: false
            }
        }
        Canvas {
            id: canvasLine
            x: 301
            y: 0
            width: 1
            height: parent.height
            onPaint: {
                var ctx = canvasLine.getContext("2d");
                ctx.moveTo(0,0);
                ctx.lineTo(0,parent.height);
                ctx.lineWidth = 1;
                ctx.strokeStyle = '#C0C0C0';
                ctx.stroke();
            }
        }

        Sidebar {
            width: parent.width - 300;
            height: parent.height;
        }
    }
}
