import QtQuick 2.12
import QtQuick.Controls 2.0 as QQC2
import AppControls2 1.0 as AppControls2
import org.ukui.menu.core 1.0

FocusScope {
    anchors.fill: parent
    function focusToFalse() {
        focus = false;
    }
    function keyPressed(event) {
        // 任意字符键焦点切换到搜索（0-9 a-z）
        if ((0x2f < event.key && event.key < 0x3a )||(0x40 < event.key && event.key < 0x5b)) {
            focus = true;
            appPage.header.changeToSearch();
            // 任意方向键切换至搜索结果
        } else if ( 0x01000011 < event.key && event.key < 0x01000016) {
            focus = true;
            appPage.content.resetFocus();
            appPage.content.focus = true;
        }
    }

    Component.onCompleted: mainWindow.visibleChanged.connect(focusToFalse)
    Component.onDestruction: mainWindow.visibleChanged.disconnect(focusToFalse)
    Row {
        anchors.fill: parent;
        AppPage {
            id: appPage
            width: 340
            height: parent.height;
        }
    }
}
