/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

#include <QDir>
#include "menu-dbus-service.h"

#define MENU_CORE_DBUS_SERVICE          "org.ukui.menu"
#define MENU_CORE_DBUS_PATH             "/org/ukui/menu"

using namespace UkuiMenu;

MenuDbusService::MenuDbusService(QObject *parent) : QObject(parent)
{
    QDBusConnection::sessionBus().unregisterService(MENU_CORE_DBUS_SERVICE);
    QDBusConnection::sessionBus().registerService(MENU_CORE_DBUS_SERVICE);
    //注册对象路径，导出所有此对象的插槽 ,registerObject参数：路径，interface,对象，options
    QDBusConnection::sessionBus().registerObject(MENU_CORE_DBUS_PATH, this, QDBusConnection::ExportAllSlots);
}

void MenuDbusService::WinKeyResponse()
{
    Q_EMIT menuActive();
}

QString MenuDbusService::GetSecurityConfigPath()
{
    QString path = QDir::homePath() + "/.config/ukui-menu-security-config.json";
    return path;
}

void MenuDbusService::ReloadSecurityConfig()
{
    Q_EMIT reloadConfigSignal();
}
