/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

#ifndef MENU_DBUS_SERVICE_H
#define MENU_DBUS_SERVICE_H

#include <QObject>
#include <QDBusInterface>
#include <QDBusConnection>

namespace UkuiMenu {

class MenuDbusService : public QObject
{
    Q_OBJECT
    //申明该类有D-BUS服务接口
    Q_CLASSINFO("D-Bus Interface", "org.ukui.menu")
public:
    explicit MenuDbusService(QObject *parent = nullptr);                    //传入父指针，调用

public Q_SLOTS:
    void WinKeyResponse();
    QString GetSecurityConfigPath();
    void ReloadSecurityConfig();

Q_SIGNALS:
    void menuActive();
    void reloadConfigSignal();
};

}

#endif // MENU_DBUS_SERVICE_H
